## python-semver 3.0.2

=== docs/requirements.txt ===
# requirements file for documentation
# sphinx
# required in .readthedocs.yaml
sphinx-argparse
sphinx-autodoc-typehints

## python-semver 2.0.1

=== debian/changelog ===
python-semver (2.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.
  * Removed now useless versions of (build-)depends.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:51:32 +0200

python-semver (2.0.1-2) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:50:13 +0100

python-semver (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #762848)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2014 00:28:25 +0800

=== debian/control ===
Source: python-semver
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-semver
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-semver.git
Homepage: https://github.com/k-bx/python-semver

Package: python-semver
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: helps to compare semantic versioning - Python 2.x
 This Python module helps to compare versions as noted at http://semver.org/.
 The system is like this: given a version number MAJOR.MINOR.PATCH, increment
 the:
  * MAJOR version when you make incompatible API changes,
  * MINOR version when you add functionality in a backwards-compatible
    manner,
  * PATCH version when you make backwards-compatible bug fixes.
 .
 Additional labels for pre-release and build metadata are available as
 extensions to the MAJOR.MINOR.PATCH format.
 .
 This package contains the Python 2.x module.

Package: python3-semver
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: helps to compare semantic versioning - Python 3.x
 This Python module helps to compare versions as noted at http://semver.org/.
 The system is like this: given a version number MAJOR.MINOR.PATCH, increment
 the:
  * MAJOR version when you make incompatible API changes,
  * MINOR version when you add functionality in a backwards-compatible
    manner,
  * PATCH version when you make backwards-compatible bug fixes.
 .
 Additional labels for pre-release and build metadata are available as
 extensions to the MAJOR.MINOR.PATCH format.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/k-bx/python-semver.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-semver; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-semver; \
	done
	rm -rf $(CURDIR)/debian/python*-semver/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=. python$$pyvers tests/semver_test.py ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/semver semver-(.*).tar.gz

## python-semver 2.10.2

=== debian/changelog ===
python-semver (2.10.2-3) unstable; urgency=medium

  * Correctly launch unit tests (Closes: #1002447).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 16:35:13 +0100

python-semver (2.10.2-2) unstable; urgency=medium

  * Add dh_python3 --shebang=/usr/bin/python3 (Closes: #976771)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2020 00:09:44 +0100

python-semver (2.10.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release (Closes: #971580).
  * Fix upstream URL in d/control, d/rules and d/copyright.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.
  * Add b-d on openstack-pkg-tools.
  * Fixed running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 22:17:17 +0200

python-semver (2.0.1-4) unstable; urgency=medium

  * Team upload.
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.
  * d/copyright: Reorder.
  * Bump standards version to 4.4.0.
  * Enable autopkgtest-pkg-python testsuite.
  * Drop Python 2 support (Closes: #938163).

 -- Ondřej Nový <onovy@debian.org>  Mon, 09 Sep 2019 13:40:07 +0200

=== debian/control ===
Source: python-semver
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
 python3-pytest-cov,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-semver
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-semver.git
Homepage: https://github.com/python-semver/python-semver
Testsuite: autopkgtest-pkg-python

Package: python3-semver
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: helps to compare semantic versioning - Python 3.x
 This Python module helps to compare versions as noted at http://semver.org/.
 The system is like this: given a version number MAJOR.MINOR.PATCH, increment
 the:
  * MAJOR version when you make incompatible API changes,
  * MINOR version when you add functionality in a backwards-compatible
    manner,
  * PATCH version when you make backwards-compatible bug fixes.
 .
 Additional labels for pre-release and build metadata are available as
 extensions to the MAJOR.MINOR.PATCH format.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/python-semver/python-semver
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=semver

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest test_semver.py ; \
	done

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/python-semver/python-semver/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-semver 3.0.2

=== debian/changelog ===
python-semver (3.0.2-1) unstable; urgency=medium

  [ Ben Finney ]
  * New upstream version.
    Highlights since previous release:
    * New top-level `Version` class with different API
      (backward-compatible with old `VersionInfo`).
    * `Version.parse` parameter `optional_minor_and_patch` allows parsing
      version strings with less detail.
    * `Version.match` also accepts a version string to check for a match.
    * Support for Python 3.7 and later only.
    * Python package reorganisation.
    (Closes: #1081140).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 13:25:34 +0100

python-semver (2.10.2-4) unstable; urgency=medium

  [ Ben Finney ]
  * Declare conformance to “Standards-Version: 4.7.0”.
    No additional changes required.
  * Declare Debhelper compatibility level 13.
  * Drop minimum version dependency for ‘openstack-pkg-tools’, older than
    the earliest version in supported Debian releases.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Nov 2024 11:39:23 +0100

=== debian/control ===
Source: python-semver
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
 python3-pytest-cov,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-semver
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-semver.git
Homepage: https://github.com/python-semver/python-semver
Testsuite: autopkgtest-pkg-python

Package: python3-semver
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: library for Semantic Versioning standard versions – Python 3
 This Python module helps to compare versions according to the Semantic
 Versioning standard <https://semver.org/>. The system is like this: given
 a version number “MAJOR.MINOR.PATCH”, increment the:
  * MAJOR version when you make incompatible API changes,
  * MINOR version when you add functionality in a backwards-compatible
    manner,
  * PATCH version when you make backwards-compatible bug fixes.
 .
 Additional labels for pre-release and build metadata are available as
 extensions to the “MAJOR.MINOR.PATCH” format.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/python-semver/python-semver
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=semver
export PYBUILD_SYSTEM := pyproject

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest ; \
	done

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
